
#include <WFX/io/InputStreamDecorator.h>

using namespace WFX;
using namespace WFX::io;
using namespace std;

InputStreamDecorator::InputStreamDecorator(InputStream* s) {
    Stream = s;
}

InputStreamDecorator::~InputStreamDecorator() {
    delete Stream;
}

void InputStreamDecorator::operator >>(Int& i) {
    *Stream >> i;
}

void InputStreamDecorator::operator >>(UInt& i) {
    *Stream >> i;
}

void InputStreamDecorator::operator >>(Long& i) {
    *Stream >> i;
}

void InputStreamDecorator::operator >>(ULong& i) {
    *Stream >> i;
}

void InputStreamDecorator::operator >>(Short& i) {
    *Stream >> i;
}

void InputStreamDecorator::operator >>(UShort& i) {
    *Stream >> i;
}

void InputStreamDecorator::operator >>(Char& i) {
    *Stream >> i;
}

void InputStreamDecorator::operator >>(UChar& i) {
    *Stream >> i;
}

void InputStreamDecorator::operator >>(Real& r) {
    *Stream >> r;
}

void InputStreamDecorator::operator >>(std::string& str) {
    *Stream >> str;
}

bool InputStreamDecorator::good() {
    return Stream->good();
}

UInt InputStreamDecorator::getPos() {
    return Stream->getPos();
}

